## visad.java2d
Class ShadowFunctionTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowFunctionOrSetTypeJ2D
                  visad.java2d.ShadowFunctionTypeJ2D

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ShadowBarbFunctionTypeJ2D

public class ShadowFunctionTypeJ2D
extends ShadowFunctionOrSetTypeJ2D

The ShadowFunctionTypeJ2D class shadows the FunctionType class, within a DataDisplayLink, under Java2D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
`Domain, Range`

Fields inherited from class visad.java2d.ShadowTypeJ2D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowFunctionTypeJ2D(MathType t, DataDisplayLink link, ShadowType parent)`

Methods inherited from class visad.java2d.ShadowFunctionOrSetTypeJ2D
`addSwitch, addToGroup, addToSwitch, doTransform, getDomain, getRange, getTextMaps, makeBranch, makeSwitch, postProcess, preProcess, recurseRange, setTexCoords, textureToGroup, wantIndexed`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addTextToGroup, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, setTex3DCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowFunctionTypeJ2D

    public ShadowFunctionTypeJ2D(MathType t,
                                 DataDisplayLink link,
                                 ShadowType parent)
                          throws VisADException,
                                 RemoteException